Subject: Implement contextOverrides for all TypoScript objects
Description

most TypoScript objects operate on the TypoScript context, which is multivalued by now.
Still, it would be very helpful to manipulate this context before a TypoScript object is rendered.

For this, we should add a new property "contextOverrides" in the abstract TypoScript object;
which is then applied before evaluate() is called.

Associated revisions
Revision 20448969 - 2012-08-21 00:22 - Sebastian Kurfuerst

[FEATURE] Support @override for manipulating the TypoScript context

It is helpful to be able to manipulate the TypoScript context before a
certain TypoScript object is called. This allows for aliasing of
context variables in Eel expressions.

Now, one can specify the context overrides using the @override
meta-property which is evaluated on every TypoScript object.

Example:
foo = NameFormatter
  foo.@override.fullName = ${firstName + ' ' + lastName}

Resolves: #39655
Change-Id: Ic4cb8eb1191be2644af6c4f59648fc427b1fdf63

History
#1 - 2012-08-17 09:04 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13841

#2 - 2012-08-17 09:04 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review

#3 - 2012-08-17 09:32 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13841
#4 - 2012-08-21 00:18 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13841

#5 - 2012-08-21 00:22 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13841

#6 - 2012-08-21 07:35 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2044896910275331a1051acb4cdefe1d63faa1ea.
